version: 1

metadata:
  category: Payments
  name: BTCPay Server
  version: 2.0.3+fix.2
  tagline: Accept Bitcoin payments. Free, open-source & self-hosted, Bitcoin
    payment processor.
  description: "BTCPay Server is a free and open-source Bitcoin payment processor
    which allows you to accept bitcoin without fees or intermediaries. "
  developers:
    BTCPay Server Foundation: https://btcpayserver.org
  icon: https://official-app-icons.nirvati.org/btcpay-server/icon.svg
  has_permissions:
    - bitcoin/access-p2p
    - bitcoin/access-rpc
    - tor/proxy-requests
{% if installed_apps is containing("lnd") %}
    - lnd/access-rest
{% endif %}
  exported_data:
    bitcoin:
      info:
        rpc_accounts:
          - name: main
{% if installed_apps is containing("lnd") %}
    lnd:
      auth:
        macaroons:
          btcpay:
            permissions:
              - entity: address
                action: read
              - entity: address
                action: write
              - entity: info
                action: read
              - entity: invoices
                action: read
              - entity: invoices
                action: write
              - entity: onchain
                action: read
{% endif %}
  repos:
    Public: https://github.com/btcpayserver/btcpayserver
  support: https://chat.btcpayserver.org
  volumes:
    nbxplorer:
      minimum_size: 10Gi
      recommended_size: 10Gi
      name: NBXplorer data
      description: Blockchain data
    main:
      minimum_size: 10Gi
      recommended_size: 10Gi
      name: Main data
      description: BTCPay configuration
    db:
      minimum_size: 500Mi
      recommended_size: 2Gi
      name: Database
      description: BTCPay configuration
